Subject: Re: [PATCH] powerpc/fadump: Add timeout to RTAS busy-wait loops

From: Ritesh Harjani (IBM) <[email-masked]>
Date: Tue, 07 Apr 2026 09:36:50 +0530

Adriano Vero <[email-masked]> writes:

> The ibm,configure-kernel-dump RTAS call sites in
> rtas_fadump_register(), rtas_fadump_unregister(), and
> rtas_fadump_invalidate() polled indefinitely while firmware returned
> a busy status. A misbehaving or hung firmware could stall these paths
> forever, blocking fadump registration at boot or preventing clean
> teardown.

Was there an issue which you encountered? Can you share the details of
the same please?

>
> Track the accumulated delay in a total_wait counter and bail out with
> -ETIMEDOUT if it reaches RTAS_FADUMP_MAX_WAIT_MS (60 seconds) before
> firmware signals completion. This follows the bounded busy-wait pattern
> used in rtas-rtc.c.
>
> Signed-off-by: Adriano Vero <[email-masked]>